| Home | Libraries | People | FAQ | More

##### make_deque

###### Description

Create a `deque` from one or more values.

###### Synopsis

    template <typename ...Elements>
    typename result_of::make_deque<Elements...>::type
    make_deque(Elements const&... elements);

For C++11 compilers, the variadic function interface has no upper bound.

For C++11 compilers, the variadic function accepts `0` to `FUSION_MAX_DEQUE_SIZE` elements, where `FUSION_MAX_DEQUE_SIZE` is a user definable predefined maximum that defaults to `10`. You may define the preprocessor constant `FUSION_MAX_DEQUE_SIZE` before including any Fusion header to change the default. Example:

    #define FUSION_MAX_DEQUE_SIZE 20

###### Parameters

Parameter | Description | Description
--- | --- | ---
`elements` | Instances of `Elements` | The arguments to `make_deque`

###### Expression Semantics

    make_deque(elements...);

Return type: `result_of::make_deque` `<Elements...>::type`

Semantics: Create a `deque` from `elements...`.

###### Header

    #include <boost/fusion/container/generation/make_deque.hpp>
    #include <boost/fusion/include/make_deque.hpp>

###### Example

    make_deque(123, "hello", 12.5)

###### See also

`boost::ref`